Fahrtenbuch

Tags

List tags

GET
/tags

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Tags

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://example.com/api/v1/tags'
Example Response200
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "color": "string"  }]

Create tag

POST
/tags

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

application/json
  1. body
name*string
color?string|null

Response Body

Tag angelegt

application/json
  1. response
id*string
Formatuuid
name*string
color?string|null
Example Request
curl -X POST 'https://example.com/api/v1/tags' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response201
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "color": "string"}

Delete tag

DELETE
/tags/{id}

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

id*string
Formatuuid

Response Body

Tag gelöscht

Example Request
curl -X DELETE 'https://example.com/api/v1/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response204
Empty

Update tag

PUT
/tags/{id}

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
name*string
color?string|null

Response Body

Tag aktualisiert

Example Request
curl -X PUT 'https://example.com/api/v1/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response200
Empty